import type { DataSourceOptions as ConnectionOptions, EntityManager, EntityTarget, ObjectLiteral, Repository } from 'typeorm';
import { DataSource as Connection } from 'typeorm';
import type { DatabaseType, IDatabaseCollections } from './Interfaces';
export declare let isInitialized: boolean;
export declare const collections: IDatabaseCollections;
export declare let connection: Connection;
export declare const getConnection: () => Connection;
export declare function transaction<T>(fn: (entityManager: EntityManager) => Promise<T>): Promise<T>;
export declare function linkRepository<Entity extends ObjectLiteral>(entityClass: EntityTarget<Entity>): Repository<Entity>;
export declare function getConnectionOptions(dbType: DatabaseType): ConnectionOptions;
export declare function init(testConnectionOptions?: ConnectionOptions): Promise<IDatabaseCollections>;
