"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LdapManager = void 0;
const LdapService_ee_1 = require("./LdapService.ee");
const LdapSync_ee_1 = require("./LdapSync.ee");
class LdapManager {
    static getInstance() {
        if (!this.initialized) {
            throw new Error('LDAP Manager has not been initialized');
        }
        return this.ldap;
    }
    static init(config) {
        this.ldap = {
            service: new LdapService_ee_1.LdapService(),
            sync: new LdapSync_ee_1.LdapSync(),
        };
        this.ldap.service.config = config;
        this.ldap.sync.config = config;
        this.ldap.sync.ldapService = this.ldap.service;
        this.initialized = true;
    }
    static updateConfig(config) {
        this.ldap.service.config = config;
        this.ldap.sync.config = config;
    }
}
exports.LdapManager = LdapManager;
//# sourceMappingURL=LdapManager.ee.js.map