import type { TEntitlement } from '@n8n_io/license-sdk';
export declare class License {
    private logger;
    private manager;
    constructor();
    init(instanceId: string): Promise<void>;
    activate(activationKey: string): Promise<void>;
    renew(): Promise<void>;
    isFeatureEnabled(feature: string): boolean;
    isSharingEnabled(): boolean;
    isLogStreamingEnabled(): boolean;
    isLdapEnabled(): boolean;
    isSamlEnabled(): boolean;
    isAdvancedExecutionFiltersEnabled(): boolean;
    getCurrentEntitlements(): TEntitlement[];
    getFeatureValue(feature: string, requireValidCert?: boolean): undefined | boolean | number | string;
    getManagementJwt(): string;
    getMainPlan(): TEntitlement | undefined;
    getTriggerLimit(): number;
    getPlanName(): string;
}
export declare function getLicense(): License;
