import type { INodeType, INodeTypeDescription, INodeTypes, IVersionedNodeType } from 'n8n-workflow';
import { LoadNodesAndCredentials } from './LoadNodesAndCredentials';
export declare class NodeTypes implements INodeTypes {
    private nodesAndCredentials;
    constructor(nodesAndCredentials: LoadNodesAndCredentials);
    getWithSourcePath(nodeTypeName: string, version: number): {
        description: INodeTypeDescription;
    } & {
        sourcePath: string;
    };
    getByName(nodeType: string): INodeType | IVersionedNodeType;
    getByNameAndVersion(nodeType: string, version?: number): INodeType;
    applySpecialNodeParameters(): void;
    private getNode;
    private get loadedNodes();
    private get knownNodes();
}
