import type { EntityManager } from 'typeorm';
import { TagEntity } from './databases/entities/TagEntity';
import type { ITagWithCountDb, IWorkflowToImport } from './Interfaces';
export declare function sortByRequestOrder(tags: TagEntity[], { requestOrder }: {
    requestOrder: string[];
}): TagEntity[];
export declare function getTagsWithCountDb(tablePrefix: string): Promise<ITagWithCountDb[]>;
export declare function createRelations(workflowId: string, tagIds: string[], tablePrefix: string): Promise<import("typeorm").InsertResult>;
export declare function removeRelations(workflowId: string, tablePrefix: string): Promise<import("typeorm").DeleteResult>;
export declare function setTagsForImport(transactionManager: EntityManager, workflow: IWorkflowToImport, tags: TagEntity[]): Promise<void>;
