import type express from 'express';
import type { IWorkflowExecuteAdditionalData, WebhookHttpMethod, Workflow, WorkflowActivateMode, WorkflowExecuteMode } from 'n8n-workflow';
import { ActiveWebhooks } from './ActiveWebhooks';
import type { IResponseCallbackData, IWorkflowDb } from './Interfaces';
import { Push } from './push';
export declare class TestWebhooks {
    private activeWebhooks;
    private push;
    private testWebhookData;
    constructor(activeWebhooks: ActiveWebhooks, push: Push);
    callTestWebhook(httpMethod: WebhookHttpMethod, path: string, request: express.Request, response: express.Response): Promise<IResponseCallbackData>;
    getWebhookMethods(path: string): Promise<string[]>;
    needsWebhookData(workflowData: IWorkflowDb, workflow: Workflow, additionalData: IWorkflowExecuteAdditionalData, mode: WorkflowExecuteMode, activation: WorkflowActivateMode, sessionId?: string, destinationNode?: string): Promise<boolean>;
    cancelTestWebhook(workflowId: string): boolean;
    removeAll(): Promise<void>;
}
