import { flags } from '@oclif/command';
import type { IWorkflowDb } from '../Interfaces';
import type { User } from '../databases/entities/User';
import { BaseCommand } from './BaseCommand';
export declare class ExecuteBatch extends BaseCommand {
    static description: string;
    static cancelled: boolean;
    static workflowExecutionsProgress: IWorkflowExecutionProgress[][];
    static shallow: boolean;
    static compare: string;
    static snapshot: string;
    static concurrency: number;
    static debug: boolean;
    static executionTimeout: number;
    static instanceOwner: User;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        debug: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        ids: flags.IOptionFlag<string | undefined>;
        concurrency: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        output: flags.IOptionFlag<string | undefined>;
        snapshot: flags.IOptionFlag<string | undefined>;
        compare: flags.IOptionFlag<string | undefined>;
        shallow: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        skipList: flags.IOptionFlag<string | undefined>;
        retries: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        shortOutput: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    stopProcess(skipExit?: boolean | number): Promise<void>;
    private formatJsonOutput;
    private shouldBeConsideredAsWarning;
    init(): Promise<void>;
    run(): Promise<void>;
    mergeResults(results: IResult, retryResults: IResult): void;
    private runTests;
    updateStatus(): void;
    initializeLogs(): void;
    startThread(workflowData: IWorkflowDb): Promise<IExecutionResult>;
}
