import type { IUser } from 'n8n-workflow';
import { Role } from './Role';
import type { SharedWorkflow } from './SharedWorkflow';
import type { SharedCredentials } from './SharedCredentials';
import { AbstractEntity } from './AbstractEntity';
import type { IPersonalizationSurveyAnswers, IUserSettings } from '../../Interfaces';
import type { AuthIdentity } from './AuthIdentity';
export declare const MIN_PASSWORD_LENGTH = 8;
export declare const MAX_PASSWORD_LENGTH = 64;
export declare class User extends AbstractEntity implements IUser {
    id: string;
    email: string;
    firstName: string;
    lastName: string;
    password: string;
    resetPasswordToken?: string | null;
    resetPasswordTokenExpiration?: number | null;
    personalizationAnswers: IPersonalizationSurveyAnswers | null;
    settings: IUserSettings | null;
    globalRole: Role;
    globalRoleId: string;
    authIdentities: AuthIdentity[];
    sharedWorkflows: SharedWorkflow[];
    sharedCredentials: SharedCredentials[];
    disabled: boolean;
    preUpsertHook(): void;
    apiKey?: string | null;
    isPending: boolean;
    computeIsPending(): void;
}
