import { IConnections, IDataObject, IWorkflowSettings } from 'n8n-workflow';
import type { IBinaryKeyData, INode, IPairedItemData } from 'n8n-workflow';
import type { TagEntity } from './TagEntity';
import type { SharedWorkflow } from './SharedWorkflow';
import type { WorkflowStatistics } from './WorkflowStatistics';
import { AbstractEntity } from './AbstractEntity';
import type { IWorkflowDb } from '../../Interfaces';
export declare class WorkflowEntity extends AbstractEntity implements IWorkflowDb {
    id: string;
    name: string;
    active: boolean;
    nodes: INode[];
    connections: IConnections;
    settings?: IWorkflowSettings;
    staticData?: IDataObject;
    tags?: TagEntity[];
    shared: SharedWorkflow[];
    statistics: WorkflowStatistics[];
    pinData: ISimplifiedPinData;
    versionId: string;
    triggerCount: number;
}
export interface ISimplifiedPinData {
    [nodeName: string]: Array<{
        json: IDataObject;
        binary?: IBinaryKeyData;
        pairedItem?: IPairedItemData | IPairedItemData[] | number;
    }>;
}
