"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddJsonKeyPinData1659895550980 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
const _1659888469333_AddJsonKeyPinData_1 = require("../sqlite/1659888469333-AddJsonKeyPinData");
class AddJsonKeyPinData1659895550980 {
    constructor() {
        this.name = 'AddJsonKeyPinData1659895550980';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const workflowTable = `${(0, migrationHelpers_1.getTablePrefix)()}workflow_entity`;
        const PINDATA_SELECT_QUERY = `
			SELECT id, pinData
			FROM \`${workflowTable}\`
			WHERE pinData IS NOT NULL;
		`;
        const PINDATA_UPDATE_STATEMENT = `
			UPDATE \`${workflowTable}\`
			SET \`pinData\` = :pinData
			WHERE id = :id;
		`;
        await (0, migrationHelpers_1.runInBatches)(queryRunner, PINDATA_SELECT_QUERY, (0, _1659888469333_AddJsonKeyPinData_1.addJsonKeyToPinDataColumn)(queryRunner, PINDATA_UPDATE_STATEMENT));
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down() {
    }
}
exports.AddJsonKeyPinData1659895550980 = AddJsonKeyPinData1659895550980;
//# sourceMappingURL=1659895550980-AddJsonKeyPinData.js.map