"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateCredentialUsageTable1665484192213 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
class CreateCredentialUsageTable1665484192213 {
    constructor() {
        this.name = 'CreateCredentialUsageTable1665484192213';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`CREATE TABLE \`${tablePrefix}credential_usage\` (` +
            '`workflowId` int NOT NULL,' +
            '`nodeId` char(200) NOT NULL,' +
            "`credentialId` int NOT NULL DEFAULT '1'," +
            `\`createdAt\` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,` +
            `\`updatedAt\` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,` +
            'PRIMARY KEY (`workflowId`, `nodeId`, `credentialId`)' +
            ") ENGINE='InnoDB';");
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}credential_usage\` ADD CONSTRAINT \`FK_${tablePrefix}518e1ece107b859ca6ce9ed2487f7e23\` FOREIGN KEY (\`workflowId\`) REFERENCES \`${tablePrefix}workflow_entity\`(\`id\`) ON DELETE CASCADE ON UPDATE CASCADE`);
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}credential_usage\` ADD CONSTRAINT \`FK_${tablePrefix}7ce200a20ade7ae89fa7901da896993f\` FOREIGN KEY (\`credentialId\`) REFERENCES \`${tablePrefix}credentials_entity\`(\`id\`) ON DELETE CASCADE ON UPDATE CASCADE`);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`DROP TABLE "${tablePrefix}credential_usage"`);
    }
}
exports.CreateCredentialUsageTable1665484192213 = CreateCredentialUsageTable1665484192213;
//# sourceMappingURL=1665484192213-CreateCredentialUsageTable.js.map