"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteExecutionsWithWorkflows1673268682475 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
class DeleteExecutionsWithWorkflows1673268682475 {
    constructor() {
        this.name = 'DeleteExecutionsWithWorkflows1673268682475';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}execution_entity\` MODIFY workflowId INT`);
        const workflowIds = await queryRunner.query(`
			SELECT id FROM \`${tablePrefix}workflow_entity\`
		`);
        await queryRunner.query(`DELETE FROM \`${tablePrefix}execution_entity\`
			 WHERE workflowId IS NOT NULL
			 ${workflowIds.length ? `AND workflowId NOT IN (${workflowIds.map(({ id }) => id).join()})` : ''}`);
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}execution_entity\`
			 ADD CONSTRAINT \`FK_${tablePrefix}execution_entity_workflowId\`
			 FOREIGN KEY (\`workflowId\`) REFERENCES \`${tablePrefix}workflow_entity\`(\`id\`)
			 ON DELETE CASCADE`);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}execution_entity\`
			 DROP FOREIGN KEY \`FK_${tablePrefix}execution_entity_workflowId\``);
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}execution_entity\` MODIFY workflowId varchar(255);`);
    }
}
exports.DeleteExecutionsWithWorkflows1673268682475 = DeleteExecutionsWithWorkflows1673268682475;
//# sourceMappingURL=1673268682475-DeleteExecutionsWithWorkflows.js.map