"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddWorkflowVersionIdColumn1669739707126 = void 0;
const uuid_1 = require("uuid");
const migrationHelpers_1 = require("../../utils/migrationHelpers");
class AddWorkflowVersionIdColumn1669739707126 {
    constructor() {
        this.name = 'AddWorkflowVersionIdColumn1669739707126';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`ALTER TABLE ${tablePrefix}workflow_entity ADD COLUMN "versionId" CHAR(36)`);
        const workflowIds = await queryRunner.query(`
			SELECT id
			FROM ${tablePrefix}workflow_entity
		`);
        workflowIds.map(({ id }) => {
            const [updateQuery, updateParams] = queryRunner.connection.driver.escapeQueryWithParameters(`
					UPDATE ${tablePrefix}workflow_entity
					SET "versionId" = :versionId
					WHERE id = '${id}'
				`, { versionId: (0, uuid_1.v4)() }, {});
            return queryRunner.query(updateQuery, updateParams);
        });
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = (0, migrationHelpers_1.getTablePrefix)();
        await queryRunner.query(`ALTER TABLE ${tablePrefix}workflow_entity DROP COLUMN "versionId"`);
    }
}
exports.AddWorkflowVersionIdColumn1669739707126 = AddWorkflowVersionIdColumn1669739707126;
//# sourceMappingURL=1669739707126-AddWorkflowVersionIdColumn.js.map