"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MakeStoppedAtNullable1607431743769 = void 0;
const config_1 = __importDefault(require("../../../config"));
const migrationHelpers_1 = require("../../utils/migrationHelpers");
class MakeStoppedAtNullable1607431743769 {
    constructor() {
        this.name = 'MakeStoppedAtNullable1607431743769';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`PRAGMA writable_schema = 1; `, undefined);
        await queryRunner.query(`UPDATE SQLITE_MASTER SET SQL = 'CREATE TABLE IF NOT EXISTS "${tablePrefix}execution_entity" ("id" integer PRIMARY KEY AUTOINCREMENT NOT NULL, "data" text NOT NULL, "finished" boolean NOT NULL, "mode" varchar NOT NULL, "retryOf" varchar, "retrySuccessId" varchar, "startedAt" datetime NOT NULL, "stoppedAt" datetime, "workflowData" text NOT NULL, "workflowId" varchar)' WHERE NAME = "${tablePrefix}execution_entity";`, undefined);
        await queryRunner.query(`PRAGMA writable_schema = 0;`, undefined);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
    }
}
exports.MakeStoppedAtNullable1607431743769 = MakeStoppedAtNullable1607431743769;
//# sourceMappingURL=1607431743769-MakeStoppedAtNullable.js.map