"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommunityNodes1652254514001 = void 0;
const config_1 = __importDefault(require("../../../config"));
const migrationHelpers_1 = require("../../utils/migrationHelpers");
class CommunityNodes1652254514001 {
    constructor() {
        this.name = 'CommunityNodes1652254514001';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = config_1.default.get('database.tablePrefix');
        await queryRunner.query(`CREATE TABLE "${tablePrefix}installed_packages" (` +
            `"packageName"	char(214) NOT NULL,` +
            `"installedVersion"	char(50) NOT NULL,` +
            `"authorName"	char(70) NULL,` +
            `"authorEmail"	char(70) NULL,` +
            `"createdAt"	datetime(3) NOT NULL DEFAULT 'STRFTIME(''%Y-%m-%d %H:%M:%f'', ''NOW'')',` +
            `"updatedAt"	datetime(3) NOT NULL DEFAULT 'STRFTIME(''%Y-%m-%d %H:%M:%f'', ''NOW'')',` +
            `PRIMARY KEY("packageName")` +
            `);`);
        await queryRunner.query(`CREATE TABLE "${tablePrefix}installed_nodes" (` +
            `"name"	char(200) NOT NULL,` +
            `"type"	char(200) NOT NULL,` +
            `"latestVersion"	INTEGER DEFAULT 1,` +
            `"package"	char(214) NOT NULL,` +
            `PRIMARY KEY("name"),` +
            `FOREIGN KEY("package") REFERENCES "${tablePrefix}installed_packages"("packageName") ON DELETE CASCADE ON UPDATE CASCADE` +
            `);`);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = config_1.default.get('database.tablePrefix');
        await queryRunner.query(`DROP TABLE "${tablePrefix}installed_nodes"`);
        await queryRunner.query(`DROP TABLE "${tablePrefix}installed_packages"`);
    }
}
exports.CommunityNodes1652254514001 = CommunityNodes1652254514001;
//# sourceMappingURL=1652254514001-CommunityNodes.js.map