"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowStatistics1664196174000 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
const config_1 = __importDefault(require("../../../config"));
class WorkflowStatistics1664196174000 {
    constructor() {
        this.name = 'WorkflowStatistics1664196174000';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`CREATE TABLE \`${tablePrefix}workflow_statistics\` (
				"count" INTEGER DEFAULT 0,
				"latestEvent" DATETIME,
				"name" VARCHAR(128) NOT NULL,
				"workflowId" INTEGER,
				PRIMARY KEY("workflowId", "name"),
				FOREIGN KEY("workflowId") REFERENCES \`${tablePrefix}workflow_entity\`("id") ON DELETE CASCADE
			)`);
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}workflow_entity\` ADD COLUMN "dataLoaded" BOOLEAN DEFAULT false`);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`DROP TABLE "${tablePrefix}workflow_statistics"`);
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}workflow_entity\` DROP COLUMN "dataLoaded"`);
    }
}
exports.WorkflowStatistics1664196174000 = WorkflowStatistics1664196174000;
//# sourceMappingURL=1664196174000-WorkflowStatistics.js.map