"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddWorkflowVersionIdColumn1669739707124 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
const config_1 = __importDefault(require("../../../config"));
const uuid_1 = require("uuid");
class AddWorkflowVersionIdColumn1669739707124 {
    constructor() {
        this.name = 'AddWorkflowVersionIdColumn1669739707124';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}workflow_entity\` ADD COLUMN "versionId" char(36)`);
        const workflowIds = await queryRunner.query(`
			SELECT id
			FROM "${tablePrefix}workflow_entity"
		`);
        workflowIds.map(({ id }) => {
            const [updateQuery, updateParams] = queryRunner.connection.driver.escapeQueryWithParameters(`
					UPDATE "${tablePrefix}workflow_entity"
					SET versionId = :versionId
					WHERE id = '${id}'
				`, { versionId: (0, uuid_1.v4)() }, {});
            return queryRunner.query(updateQuery, updateParams);
        });
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) {
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`ALTER TABLE \`${tablePrefix}workflow_entity\` DROP COLUMN "versionId"`);
    }
}
exports.AddWorkflowVersionIdColumn1669739707124 = AddWorkflowVersionIdColumn1669739707124;
//# sourceMappingURL=1669739707124-AddWorkflowVersionIdColumn.js.map