"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateRunningExecutionStatus1677237073720 = void 0;
const migrationHelpers_1 = require("../../utils/migrationHelpers");
const config_1 = __importDefault(require("../../../config"));
class UpdateRunningExecutionStatus1677237073720 {
    constructor() {
        this.name = 'UpdateRunningExecutionStatus1677237073720';
    }
    async up(queryRunner) {
        (0, migrationHelpers_1.logMigrationStart)(this.name);
        const tablePrefix = config_1.default.getEnv('database.tablePrefix');
        await queryRunner.query(`UPDATE "${tablePrefix}execution_entity" SET "status" = 'failed' WHERE "status" = 'running' AND "finished"=0 AND "stoppedAt" IS NOT NULL;`);
        await queryRunner.query(`UPDATE "${tablePrefix}execution_entity" SET "status" = 'success' WHERE "status" = 'running' AND "finished"=1 AND "stoppedAt" IS NOT NULL;`);
        (0, migrationHelpers_1.logMigrationEnd)(this.name);
    }
    async down(queryRunner) { }
}
exports.UpdateRunningExecutionStatus1677237073720 = UpdateRunningExecutionStatus1677237073720;
//# sourceMappingURL=1677237073720-UpdateRunningExecutionStatus.js.map