"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventMessageAudit = void 0;
const AbstractEventMessage_1 = require("./AbstractEventMessage");
const n8n_workflow_1 = require("n8n-workflow");
class EventMessageAudit extends AbstractEventMessage_1.AbstractEventMessage {
    constructor(options) {
        super(options);
        this.__type = n8n_workflow_1.EventMessageTypeNames.audit;
        if (options.payload)
            this.setPayload(options.payload);
        if (options.anonymize) {
            this.anonymize();
        }
    }
    setPayload(payload) {
        this.payload = payload;
        return this;
    }
    deserialize(data) {
        if ((0, AbstractEventMessage_1.isEventMessageOptionsWithType)(data, this.__type)) {
            this.setOptionsOrDefault(data);
            if (data.payload)
                this.setPayload(data.payload);
        }
        return this;
    }
}
exports.EventMessageAudit = EventMessageAudit;
//# sourceMappingURL=EventMessageAudit.js.map