import { AbstractEventMessage } from './AbstractEventMessage';
import type { IWorkflowBase, JsonObject } from 'n8n-workflow';
import { EventMessageTypeNames } from 'n8n-workflow';
import type { AbstractEventMessageOptions } from './AbstractEventMessageOptions';
import type { AbstractEventPayload } from './AbstractEventPayload';
import type { IExecutionBase } from '../../Interfaces';
import type { EventNamesWorkflowType } from '.';
interface EventPayloadWorkflow extends AbstractEventPayload {
    msg?: string;
    workflowData?: IWorkflowBase;
    executionId?: IExecutionBase['id'];
    workflowId?: IWorkflowBase['id'];
}
export interface EventMessageWorkflowOptions extends AbstractEventMessageOptions {
    eventName: EventNamesWorkflowType;
    payload?: EventPayloadWorkflow | undefined;
}
export declare class EventMessageWorkflow extends AbstractEventMessage {
    readonly __type = EventMessageTypeNames.workflow;
    eventName: EventNamesWorkflowType;
    payload: EventPayloadWorkflow;
    constructor(options: EventMessageWorkflowOptions);
    setPayload(payload: EventPayloadWorkflow): this;
    deserialize(data: JsonObject): this;
}
export {};
