"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAdvancedExecutionFiltersEnabled = exports.getStatusUsingPreviousExecutionStatusMethod = void 0;
const License_1 = require("../License");
const config_1 = __importDefault(require("../config"));
function getStatusUsingPreviousExecutionStatusMethod(execution) {
    if (execution.waitTill) {
        return 'waiting';
    }
    else if (execution.stoppedAt === undefined) {
        return 'running';
    }
    else if (execution.finished) {
        return 'success';
    }
    else if (execution.stoppedAt !== null) {
        return 'failed';
    }
    else {
        return 'unknown';
    }
}
exports.getStatusUsingPreviousExecutionStatusMethod = getStatusUsingPreviousExecutionStatusMethod;
function isAdvancedExecutionFiltersEnabled() {
    const license = (0, License_1.getLicense)();
    return (config_1.default.getEnv('enterprise.features.advancedExecutionFilters') ||
        license.isAdvancedExecutionFiltersEnabled());
}
exports.isAdvancedExecutionFiltersEnabled = isAdvancedExecutionFiltersEnabled;
//# sourceMappingURL=executionHelpers.js.map