import type { Server } from 'http';
import type { Application } from 'express';
import type { PushResponse, SSEPushRequest, WebSocketPushRequest } from './types';
import type { IPushDataType } from '../Interfaces';
export declare class Push {
    private backend;
    handleRequest(req: SSEPushRequest | WebSocketPushRequest, res: PushResponse): void;
    send<D>(type: IPushDataType, data: D, sessionId?: string | undefined): void;
}
export declare const setupPushServer: (restEndpoint: string, server: Server, app: Application) => void;
export declare const setupPushHandler: (restEndpoint: string, app: Application, isUserManagementEnabled: boolean) => void;
