import type express from 'express';
import type { User } from '../../databases/entities/User';
import type { SamlUserAttributes } from './types/samlUserAttributes';
import type { SamlPreferences } from './types/samlPreferences';
import type { IdentityProviderInstance, ServiceProviderInstance } from 'samlify';
import type { SamlLoginBinding } from './types';
import type { BindingContext, PostBindingContext } from 'samlify/types/src/entity';
export declare class SamlService {
    private static instance;
    private identityProviderInstance;
    private _samlPreferences;
    get samlPreferences(): SamlPreferences;
    static getInstance(): SamlService;
    init(): Promise<void>;
    getIdentityProviderInstance(forceRecreate?: boolean): IdentityProviderInstance;
    getServiceProviderInstance(): ServiceProviderInstance;
    getLoginRequestUrl(binding?: SamlLoginBinding): {
        binding: SamlLoginBinding;
        context: BindingContext | PostBindingContext;
    };
    private getRedirectLoginRequestUrl;
    private getPostLoginRequestUrl;
    handleSamlLogin(req: express.Request, binding: SamlLoginBinding): Promise<{
        authenticatedUser: User | undefined;
        attributes: SamlUserAttributes;
        onboardingRequired: boolean;
    } | undefined>;
    setSamlPreferences(prefs: SamlPreferences): Promise<SamlPreferences | undefined>;
    loadFromDbAndApplySamlPreferences(): Promise<SamlPreferences | undefined>;
    saveSamlPreferencesToDb(): Promise<SamlPreferences | undefined>;
    fetchMetadataFromUrl(): Promise<string | undefined>;
    getAttributesFromLoginResponse(req: express.Request, binding: SamlLoginBinding): Promise<SamlUserAttributes>;
    testSamlConnection(): Promise<boolean>;
}
