"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getServiceProviderInstance = void 0;
const UserManagementHelper_1 = require("../../UserManagement/UserManagementHelper");
const samlify_1 = require("samlify");
const constants_1 = require("./constants");
let serviceProviderInstance;
function getServiceProviderInstance(prefs) {
    if (serviceProviderInstance === undefined) {
        serviceProviderInstance = (0, samlify_1.ServiceProvider)({
            entityID: (0, UserManagementHelper_1.getInstanceBaseUrl)() + constants_1.SamlUrls.restMetadata,
            authnRequestsSigned: prefs.authnRequestsSigned,
            wantAssertionsSigned: prefs.wantAssertionsSigned,
            wantMessageSigned: prefs.wantMessageSigned,
            nameIDFormat: ['urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress'],
            assertionConsumerService: [
                {
                    isDefault: prefs.acsBinding === 'post',
                    Binding: 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST',
                    Location: (0, UserManagementHelper_1.getInstanceBaseUrl)() + constants_1.SamlUrls.restAcs,
                },
                {
                    isDefault: prefs.acsBinding === 'redirect',
                    Binding: 'urn:oasis:names:tc:SAML:2.0:bindings:HTTP-REDIRECT',
                    Location: (0, UserManagementHelper_1.getInstanceBaseUrl)() + constants_1.SamlUrls.restAcs,
                },
            ],
        });
    }
    return serviceProviderInstance;
}
exports.getServiceProviderInstance = getServiceProviderInstance;
//# sourceMappingURL=serviceProvider.ee.js.map